Bug 1299172 - Download of subtitle failed
Download of subtitle failed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: subdownloader (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-16 17:45 EST by Nuno Dias
Modified: 2016-12-28 16:49 EST (History)
3 users (show)

See Also:
Fixed In Version: subdownloader-2.0.18-8.fc25 subdownloader-2.0.18-8.fc23 subdownloader-2.0.18-8.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 03:21:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to solve the problem (deleted)
2016-01-16 17:45 EST, Nuno Dias
no flags Details | Diff
please update subdownloader with is patch against git HEAD of git://pkgs.fedoraproject.org/rpms/subdownloader.git (26.60 KB, patch)
2016-04-08 07:36 EDT, Sergio Monteiro Basto
no flags Details | Diff
subdownloader.v2.patch (27.09 KB, patch)
2016-04-19 12:45 EDT, Sergio Monteiro Basto
no flags Details | Diff

  None (edit)
Description Nuno Dias 2016-01-16 17:45:41 EST
Description of problem:
Download of any subtitle fails

Version-Release number of selected component (if applicable):
subdownloader-2.0.18-5.fc23.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Try to download a subtitle
2.
3.

Actual results:
https://bugs.launchpad.net/subdownloader/+bug/790753

Expected results:


Additional info:
The error I get ...

libpng warning: iCCP: known incorrect sRGB profile
Traceback (most recent call last):
  File "/subdownloader/gui/main.py", line 1143, in onButtonDownload
    osHttpRequests.download('http://www.opensubtitles.org/en/download/file/%s.gz' %sub.getIdFileOnline(), destinationPath)
  File "/subdownloader/modules/OSHttpRequests.py", line 72, in download
    self.unpack_subtitle(gz_path, local_path)
  File "/subdownloader/modules/OSHttpRequests.py", line 51, in unpack_subtitle
    fileContent = fileObj.readlines();
  File "/usr/lib64/python2.7/gzip.py", line 464, in readline
    c = self.read(readsize)
  File "/usr/lib64/python2.7/gzip.py", line 268, in read
    self._read(readsize)
  File "/usr/lib64/python2.7/gzip.py", line 303, in _read
    self._read_gzip_header()
  File "/usr/lib64/python2.7/gzip.py", line 197, in _read_gzip_header
    raise IOError, 'Not a gzipped file'
IOError: Not a gzipped file

The patch attached is from here
https://bugs.launchpad.net/subdownloader/+bug/790753
Comment 1 Sergio Monteiro Basto 2016-04-05 22:01:43 EDT
subdownloader should be retired since doesn't work , last release in from 2011
Comment 2 Nuno Dias 2016-04-06 05:12:07 EDT
 It works, like I said there is a patch, I applied, and works, and I'm run it since without a problem.
 I just open this bug to help others.

(In reply to Sergio Monteiro Basto from comment #1)
> subdownloader should be retired since doesn't work , last release in from
> 2011
Comment 3 Sergio Monteiro Basto 2016-04-08 07:36 EDT
Created attachment 1145092 [details]
please update subdownloader with is patch against git HEAD of git://pkgs.fedoraproject.org/rpms/subdownloader.git

- Add patch from bug #1299172 .
- Add patches 554_553.diff, 555_554.diff, 556_555.diff and 557_556.diff from
  upstream.
- Spec cleanups and use python2_sitelib. 

Nuno , thanks for point it out,  subdownloader doesn't have all functions working, but still work the most important. 
I also will review this package with 
https://build.opensuse.org/source/multimedia:apps/subdownloader/subdownloader.spec
Comment 4 Sergio Monteiro Basto 2016-04-19 12:45 EDT
Created attachment 1148704 [details]
subdownloader.v2.patch

subdownloader.v2.patch 

- Copy some scripts from opensuse rpm [1],  use gui/images/subdownloader.png instead SOURCE1.
  [1] https://build.opensuse.org/package/show/multimedia:apps/subdownloader
- Add license tag.
- Add patch from bug #1299172 .
- Add patches 554_553.diff, 555_554.diff, 556_555.diff and 557_556.diff from
  upstream.
- Spec cleanups and use python2_sitelib.

I request commit access in 
https://admin.fedoraproject.org/pkgdb/package/rpms/subdownloader/
to update this package with this patch .
Comment 5 Sergio Monteiro Basto 2016-07-02 14:53:21 EDT
Ping , may you let me update this package ? 

I built subdownloader  here:  https://copr.fedorainfracloud.org/coprs/sergiomb/builds_for_Stable_Releases/build/311116/
 
works much better, and do the job , but still not find how make left click works ...
Comment 6 Fedora End Of Life 2016-11-24 09:59:52 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora Update System 2016-12-17 13:53:39 EST
subdownloader-2.0.18-8.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e4986afc1
Comment 8 Fedora Update System 2016-12-17 13:54:10 EST
subdownloader-2.0.18-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-10aa1e8a42
Comment 9 Fedora Update System 2016-12-17 13:54:43 EST
subdownloader-2.0.18-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5f462fba2
Comment 10 Fedora Update System 2016-12-18 21:28:32 EST
subdownloader-2.0.18-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5f462fba2
Comment 11 Fedora Update System 2016-12-18 21:32:07 EST
subdownloader-2.0.18-8.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e4986afc1
Comment 12 Fedora Update System 2016-12-19 18:24:05 EST
subdownloader-2.0.18-8.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-12-19 19:58:52 EST
subdownloader-2.0.18-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-10aa1e8a42
Comment 14 Fedora Update System 2016-12-20 03:21:26 EST
subdownloader-2.0.18-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-12-28 16:49:08 EST
subdownloader-2.0.18-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.